Skip to main content
`Ctrl`+`K`

# PCFactorSetLevels

Sets the number of levels of fill to use.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFactorSetLevels(PC pc, PetscInt levels)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- levels - number of levels of fill

## Options Database Key

- -pc_factor_levels - Sets fill level

## See Also

KSP: Linear System Solvers, `PCILU`, `PCICC`, `PCFactorGetLevels()`

## Level

intermediate

## Location

src/ksp/pc/impls/factor/factor.c

## Implementations

PCFactorSetLevels_Factor() in src/ksp/pc/impls/factor/factimpl.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages